---
updatedAt: 2025-06-11T20:40:13.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# net_info

Get network info.

# Parameters

* No parameters are needed.

```curl Example
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "net_info"
}'
```

# Returns

* `OBJECT` - Network information.

```json Example
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "listening": true,
        "listeners": [
            "Listener(@)"
        ],
        "n_peers": "50",
        "peers": [
            {
                "node_info": {
                    "protocol_version": {
                        "p2p": "8",
                        "block": "11",
                        "app": "0"
                    },
                    "id": "1da54d20c7339713f1d6d28dd2117087dd33d0ca",
                    "listen_addr": "5.9.59.145:26656",
                    "network": "cosmoshub-4",
                    "version": "0.34.29",
                    "channels": "40202122233038606100",
                    "moniker": "cosmos-node-3",
                    "other": {
                        "tx_index": "off",
                        "rpc_address": "tcp://0.0.0.0:26657"
                    }
                },
                "is_outbound": true,
                "connection_status": {
                    "Duration": "47235768124304",
                    "SendMonitor": {
                        "Start": "2023-07-30T19:13:25.66Z",
                        "Bytes": "676658259",
                        "Samples": "162997",
                        "InstRate": "53",
                        "CurRate": "1947",
                        "AvgRate": "14325",
                        "PeakRate": "2047920",
                        "BytesRem": "0",
                        "Duration": "47235700000000",
                        "Idle": "80000000",
                        "TimeRem": "0",
                        "Progress": 0,
                        "Active": true
                    },
                    "RecvMonitor": {
                        "Start": "2023-07-30T19:13:25.66Z",
                        "Bytes": "1099581043",
                        "Samples": "158066",
                        "InstRate": "271",
                        "CurRate": "2218",
                        "AvgRate": "23279",
                        "PeakRate": "5127240",
                        "BytesRem": "0",
                        "Duration": "47235780000000",
                        "Idle": "480000000",
                        "TimeRem": "0",
                        "Progress": 0,
                        "Active": true
                    },
                    "Channels": [
                        {
                            "ID": 48,
                            "SendQueueCapacity": "1",
                            "SendQueueSize": "0",
                            "Priority": "5",
                            "RecentlySent": "98830"
                        },
                        {
                            "ID": 64,
                            "SendQueueCapacity": "1000",
                            "SendQueueSize": "0",
                            "Priority": "5",
                            "RecentlySent": "0"
                        },
                        {
                            "ID": 32,
                            "SendQueueCapacity": "100",
                            "SendQueueSize": "0",
                            "Priority": "6",
                            "RecentlySent": "9467"
                        },
                        {
                            "ID": 33,
                            "SendQueueCapacity": "100",
                            "SendQueueSize": "0",
                            "Priority": "10",
                            "RecentlySent": "58437"
                        },
                        {
                            "ID": 34,
                            "SendQueueCapacity": "100",
                            "SendQueueSize": "0",
                            "Priority": "7",
                            "RecentlySent": "32432"
                        },
                        {
                            "ID": 35,
                            "SendQueueCapacity": "2",
                            "SendQueueSize": "0",
                            "Priority": "1",
                            "RecentlySent": "0"
                        },
                        {
                            "ID": 56,
                            "SendQueueCapacity": "1",
                            "SendQueueSize": "0",
                            "Priority": "6",
                            "RecentlySent": "0"
                        },
                        {
                            "ID": 96,
                            "SendQueueCapacity": "10",
                            "SendQueueSize": "0",
                            "Priority": "5",
                            "RecentlySent": "0"
                        },
                        {
                            "ID": 97,
                            "SendQueueCapacity": "10",
                            "SendQueueSize": "0",
                            "Priority": "3",
                            "RecentlySent": "0"
                        },
                        {
                            "ID": 0,
                            "SendQueueCapacity": "10",
                            "SendQueueSize": "0",
                            "Priority": "1",
                            "RecentlySent": "0"
                        }
                    ]
                },
                "remote_ip": "5.9.59.145"
            }.
            //More peers...
        ]
    }
}
```

***

# Try Yourself

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "cosmos-hub-cometbft-rpc",
    "version": "0.5.0"
  },
  "servers": [
    {
      "url": "https://cosmos-mainnet-archive.allthatnode.com:26657"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{apiKey}": {
      "post": {
        "summary": "dial_peers",
        "description": "Dial Seeds (Unsafe)",
        "operationId": "dial_peers-cosmoshub",
        "parameters": [
          {
            "name": "apiKey",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj"
            },
            "required": true
          },
          {
            "name": "hash",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "id",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "default": "2.0"
                  },
                  "id": {
                    "type": "integer",
                    "default": 1,
                    "format": "int32"
                  },
                  "method": {
                    "type": "string",
                    "default": "dial_peers"
                  },
                  "params": {
                    "properties": {
                      "persistent": {
                        "type": "boolean",
                        "default": true
                      },
                      "unconditional": {
                        "type": "boolean",
                        "default": true
                      },
                      "private": {
                        "type": "boolean",
                        "default": true
                      },
                      "peers": {
                        "type": "array",
                        "default": [
                          "f9baeaa15fedf5e1ef7448dd60f46c01f1a9e9c4@1.2.3.4:26656"
                        ],
                        "items": {
                          "type": "string"
                        }
                      }
                    },
                    "required": [],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```